Ambition maintenance

6 views
Skip to first unread message

Matthew King

unread,
Sep 16, 2008, 4:39:04 PM9/16/08
to ambit...@googlegroups.com
It looks as though I am already able to add releases to
ambition.rubyforge.org. I released 0.5.4 using the code as of Chris's
last commit.

This should take care of this pesky problem:

ERROR: Error installing ambitious-activerecord:
ambitious-activerecord requires ambition (>= 0.5.3, runtime)

Notwithstanding my complaints of no time, I spent some getting
Ambition's tests running with ActiveRecord 2.x, ParseTree 2.2.0, and
ruby2ruby something-or-other. You can find my changes here:

http://github.com/automatthew/ambition


On Tue, Sep 16, 2008 at 12:09 PM, Matthew King <autom...@gmail.com> wrote:
>
> I don't have time to actively develop Ambition (yet), but I am willing
> to take over the administrative duties. Chris, bump my privs on
> Rubyforge?
>
> Matthew
>

Flinn

unread,
Oct 12, 2008, 10:22:58 AM10/12/08
to ambition.rb
I still run into this problem. ambition-0.5.2 still seems to be
installing rather than 0.5.4. Any ideas?


On Sep 16, 4:39 pm, "Matthew King" <automatt...@gmail.com> wrote:
> It looks as though I am already able to add releases to
> ambition.rubyforge.org.  I released 0.5.4 using the code as of Chris's
> last commit.
>
> This should take care of this pesky problem:
>
>   ERROR:  Error installing ambitious-activerecord:
>       ambitious-activerecord requires ambition (>= 0.5.3, runtime)
>
> Notwithstanding my complaints of no time, I spent some getting
> Ambition's tests running with ActiveRecord 2.x, ParseTree 2.2.0, and
> ruby2ruby something-or-other.  You can find my changes here:
>
> http://github.com/automatthew/ambition
>

trans

unread,
Oct 12, 2008, 10:47:53 AM10/12/08
to ambition.rb


On Oct 12, 10:22 am, Flinn <theflinns...@gmail.com> wrote:
> I still run into this problem.  ambition-0.5.2 still seems to be
> installing rather than 0.5.4.  Any ideas?

Still having problem?

T.

Ben Hoskings

unread,
Oct 12, 2008, 8:05:16 PM10/12/08
to ambit...@googlegroups.com
On 13/10/2008, at 12:22 AM, Flinn wrote:

> I still run into this problem. ambition-0.5.2 still seems to be
> installing rather than 0.5.4. Any ideas?

You can get 0.5.4 installed by checking out the git repo:

http://github.com/defunkt/ambition

and building and installing the gem from that.

Ben Hoskings

Matthew King

unread,
Oct 13, 2008, 3:20:40 PM10/13/08
to ambit...@googlegroups.com
On Sun, Oct 12, 2008 at 7:05 PM, Ben Hoskings <b...@hoskings.net> wrote:
>
> On 13/10/2008, at 12:22 AM, Flinn wrote:
>
>> I still run into this problem. ambition-0.5.2 still seems to be
>> installing rather than 0.5.4. Any ideas?
>
> You can get 0.5.4 installed by checking out the git repo:
>
> http://github.com/defunkt/ambition
>
> and building and installing the gem from that.
>

I'm not sure why 0.5.4 isn't working from Rubyforge, as the release is
available on the project page:

http://rubyforge.org/projects/ambition/

You should be able to get the gem from github using:

gem install defunkt-ambition --source=http://gems.github.com


gem search -r ambition --source=http://gems.github.com

Flinn Mueller

unread,
Oct 13, 2008, 3:31:00 PM10/13/08
to ambit...@googlegroups.com

On Oct 13, 2008, at 3:20 PM, Matthew King wrote:
> gem install defunkt-ambition --source=http://gems.github.com

That works thanks

Matthew King

unread,
Oct 13, 2008, 3:34:27 PM10/13/08
to ambit...@googlegroups.com
On Mon, Oct 13, 2008 at 2:20 PM, Matthew King <autom...@gmail.com> wrote:
>
> I'm not sure why 0.5.4 isn't working from Rubyforge, as the release is
> available on the project page:

I think this is what's going on:
http://rubyforge.org/docman/view.php/5/460/faq.html#gemnamespace

Chris Wanstrath, if you're listening, would you file a support request
with Rubyforge to get the ambition gem transferred to the ambition
namespace?

Matthew

Chris Wanstrath

unread,
Oct 22, 2008, 8:43:56 PM10/22/08
to ambit...@googlegroups.com
On Mon, Oct 13, 2008 at 12:34 PM, Matthew King <autom...@gmail.com> wrote:

> I think this is what's going on:
> http://rubyforge.org/docman/view.php/5/460/faq.html#gemnamespace
>
> Chris Wanstrath, if you're listening, would you file a support request
> with Rubyforge to get the ambition gem transferred to the ambition
> namespace?

Done.

http://rubyforge.org/tracker/index.php?group_id=5&atid=102

- Chris

Reply all
Reply to author
Forward
0 new messages